SWAYLOCK(1)

NAME
swaylock - Screen locker for sway

SYNOPSIS

swaylock [options]

Lock the current sway session.

OPTIONS

-h, --help
    Show help message and quit.

-c, --color <rrggbb[aa]>
    Turn the screen into the given color instead of white. If an image is in use, also enables color display.

-i, --image [<output>:]<path>
    Display the given image, optionally only on the given output.

-s, --scaling
    Scaling mode for images: stretch, fill, fit, center, or tile.

-t, --tiling
    Same as --scaling=tile.

-u, --no-unlock-indicator
    Disable the unlock indicator.

-v, --version
    Show the version number and quit.

--socket <path>
    Use the specified socket path. Otherwise, swaymsg will ask sway where the socket is (which is the value of $SWAYSOCK, then of $I3SOCK).

AUTHORS

Maintained by Drew DeVault <sir@cmpwn.com>, who is assisted by other open source contributors. For more information about sway development, see https://github.com/SirCmpwn/sway.